kr.co.hanwha.hifive.screen.common

## Class CommonWebViewActivity.HFJavaScript

- java.lang.Object
- - kr.co.hanwha.hifive.screen.common.CommonWebViewActivity.HFJavaScript

Enclosing class:
  CommonWebViewActivity

    public class CommonWebViewActivity.HFJavaScript
    extends java.lang.Object

WebViewClient

### Constructor Summary

Constructors
Constructor and Description
`HFJavaScript()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `closeWebview()`
`void` `openCustomPopup(java.lang.String message)`
`void` `openCustomPopup(java.lang.String title, java.lang.String message)`
`void` `showToast(java.lang.String type, java.lang.String content)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HFJavaScript

    public HFJavaScript()

### Method Detail

#### openCustomPopup

    public void openCustomPopup(java.lang.String title,
                                java.lang.String message)

#### openCustomPopup

    public void openCustomPopup(java.lang.String message)

#### closeWebview

    public void closeWebview()

#### showToast

    public void showToast(java.lang.String type,
                          java.lang.String content)